###################################################
### chunk number 1: load-package
###################################################
#line 42 "d:/Rcompile/CRANpkg/local/2.12/confReg/inst/doc/confReg.Rnw"
library("confReg")


###################################################
### chunk number 2: data-creation
###################################################
#line 54 "d:/Rcompile/CRANpkg/local/2.12/confReg/inst/doc/confReg.Rnw"
set.seed(100)
dataMatrix <- matrix(runif(10*200),200,10)
y<- (10*sin(pi*dataMatrix[,1]*dataMatrix[,2])+20*(dataMatrix[,3]-0.5)^2+10*dataMatrix[,4]+5*dataMatrix[,5]) + rnorm(200,0,0.1)
dataMatrix <- cbind(dataMatrix,y)


###################################################
### chunk number 3: data-oject-creation
###################################################
#line 64 "d:/Rcompile/CRANpkg/local/2.12/confReg/inst/doc/confReg.Rnw"
data <- Dataset(dataMatrix);


###################################################
### chunk number 4: data-oject-split
###################################################
#line 73 "d:/Rcompile/CRANpkg/local/2.12/confReg/inst/doc/confReg.Rnw"
folds <- calculateFolds(data, 5, random=TRUE);
datasets <- splitByFolds(data, folds, 5);


###################################################
### chunk number 5: data-oject-normalize
###################################################
#line 82 "d:/Rcompile/CRANpkg/local/2.12/confReg/inst/doc/confReg.Rnw"
trainingData <- normalize(datasets[[1]]);
testData <- normalizeBy(datasets[[2]], trainingData);


###################################################
### chunk number 6: modelcreation1
###################################################
#line 99 "d:/Rcompile/CRANpkg/local/2.12/confReg/inst/doc/confReg.Rnw"
me <- ModelEvaluation();
rModel <- Regression(lm, predict);


###################################################
### chunk number 7: modelcreation2
###################################################
#line 107 "d:/Rcompile/CRANpkg/local/2.12/confReg/inst/doc/confReg.Rnw"
rModel <- FastRegression();


###################################################
### chunk number 8: feature-selection-creation
###################################################
#line 115 "d:/Rcompile/CRANpkg/local/2.12/confReg/inst/doc/confReg.Rnw"
fs <- TwinScan(averageError, min);


###################################################
### chunk number 9: feature-selection-selection
###################################################
#line 122 "d:/Rcompile/CRANpkg/local/2.12/confReg/inst/doc/confReg.Rnw"
featureList <- selectFeatures(fs, trainingData, me, randomize=TRUE, rModel)
featureList


###################################################
### chunk number 10: model-creation
###################################################
#line 129 "d:/Rcompile/CRANpkg/local/2.12/confReg/inst/doc/confReg.Rnw"
featureSet(trainingData) <- featureList;
rModel <- learnFromDataset(rModel, trainingData);


###################################################
### chunk number 11: model-prediction
###################################################
#line 141 "d:/Rcompile/CRANpkg/local/2.12/confReg/inst/doc/confReg.Rnw"
featureSet(testData) <- featureList;
predictions <- predictDataset(rModel, testData);
predictions


###################################################
### chunk number 12: model-responses
###################################################
#line 149 "d:/Rcompile/CRANpkg/local/2.12/confReg/inst/doc/confReg.Rnw"
getResponses(testData)


###################################################
### chunk number 13: model-eval1
###################################################
#line 156 "d:/Rcompile/CRANpkg/local/2.12/confReg/inst/doc/confReg.Rnw"
averageError(getResponses(testData),predictions);


###################################################
### chunk number 14: model-eval2
###################################################
#line 163 "d:/Rcompile/CRANpkg/local/2.12/confReg/inst/doc/confReg.Rnw"
realResponses <- unscaleVector(testData, getResponses(testData));
realPredictions <- unscaleVector(testData, predictions);
averageError(realResponses, realPredictions);


###################################################
### chunk number 15: model-eval3
###################################################
#line 172 "d:/Rcompile/CRANpkg/local/2.12/confReg/inst/doc/confReg.Rnw"
evaluateInCV(me, data, rModel, 5, random=FALSE, fs);


###################################################
### chunk number 16: confidence-1
###################################################
#line 189 "d:/Rcompile/CRANpkg/local/2.12/confReg/inst/doc/confReg.Rnw"
ce <- ConfidenceEstimatorNNErrors(rModel, trainingData);


###################################################
### chunk number 17: confidence-2
###################################################
#line 200 "d:/Rcompile/CRANpkg/local/2.12/confReg/inst/doc/confReg.Rnw"
predictionsTrainingData <- predictDataset(rModel, trainingData);
ce <- create(ce, optimize=TRUE, predictionsTrainingData);


###################################################
### chunk number 18: confidence-3
###################################################
#line 208 "d:/Rcompile/CRANpkg/local/2.12/confReg/inst/doc/confReg.Rnw"
confidences <- estimate(ce, testData, predictions);
confidences


###################################################
### chunk number 19: confidence-4
###################################################
#line 221 "d:/Rcompile/CRANpkg/local/2.12/confReg/inst/doc/confReg.Rnw"
evaluateConfidenceEstimates( getResponses(testData), predictions, confidences);


###################################################
### chunk number 20: confidence-4
###################################################
#line 240 "d:/Rcompile/CRANpkg/local/2.12/confReg/inst/doc/confReg.Rnw"
interval_widths <- confidences[,3]-confidences[,2]
top20 <- which( interval_widths <= sort(interval_widths)[ length(interval_widths)*0.2]);
top20Error <- averageError(getResponses(testData)[top20],predictions[top20]) 
top20Error
overallError <- averageError(getResponses(testData),predictions)
overallError
(1-top20Error / overallError)*100;


###################################################
### chunk number 21: fig1plot
###################################################
#line 255 "d:/Rcompile/CRANpkg/local/2.12/confReg/inst/doc/confReg.Rnw"
plotConfidenceIntervals(ce, getResponses(testData), predictions, confidences[,1]);


###################################################
### chunk number 22: fig1
###################################################
#line 260 "d:/Rcompile/CRANpkg/local/2.12/confReg/inst/doc/confReg.Rnw"
#line 255 "d:/Rcompile/CRANpkg/local/2.12/confReg/inst/doc/confReg.Rnw#from line#260#"
plotConfidenceIntervals(ce, getResponses(testData), predictions, confidences[,1]);
#line 261 "d:/Rcompile/CRANpkg/local/2.12/confReg/inst/doc/confReg.Rnw"


